
Foreman - Bug #34360

Prepare Foreman core for Host Reports migration

02/01/2022 11:47 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Reporting   

Target version: 3.2.1   

Difficulty:  Fixed in Releases: 3.2.1

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9078,

https://github.com/theforeman/foreman/p

ull/9091,

https://github.com/theforeman/foreman/p

ull/9145,

https://github.com/theforeman/foreman/p

ull/9153

  

Description

Some of the core features are not possible to override from Host Reports. This patch adds some if statements until we drop legacy

reports from core.

Associated revisions

Revision d6c44dcf - 02/02/2022 06:02 PM - Lukas Zapletal

Fixes #34360 - prepare for Host Reports migration

Signed-off-by: Lukas Zapletal <lzap+git@redhat.com>

Revision 8947c65a - 02/08/2022 10:10 PM - Oleh Fedorenko

Refs #34360 - Use Plugin's API

Revision c56db5d6 - 03/15/2022 02:37 PM - Lukas Zapletal

Refs #34360 - allow host deleting with host_reports plugin

Signed-off-by: Lukas Zapletal <lzap+git@redhat.com>

History

#1 - 02/01/2022 11:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9078 added

#2 - 02/02/2022 06:02 PM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#3 - 02/02/2022 07:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|d6c44dcf85424da80f8d9d4de5bf9c0f57b19a10.

#4 - 02/04/2022 01:38 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9091 added

#5 - 03/10/2022 01:18 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/9145 added

#6 - 03/15/2022 02:58 PM - Lukas Zapletal

- Target version set to 3.2.1

- Fixed in Releases 3.2.1 added

- Fixed in Releases deleted (3.2.0)

I am requesting 3.2.1 for https://github.com/theforeman/foreman/pull/9145 (the other PRs made it into 3.2.0). Apologies, I should not have used Refs I

was hoping to get it earlier.

#7 - 03/15/2022 03:06 PM - Amit Upadhye

- Fixed in Releases deleted (3.2.1)

I have removed 3.2.1 from fixed in release as we are yet to cherry pick the https://github.com/theforeman/foreman/pull/9145 in 3.2-stable

#8 - 03/15/2022 03:09 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9153 added

#9 - 03/15/2022 08:05 PM - Ondřej Ezr

- Fixed in Releases 3.2.1 added

#10 - 03/16/2022 02:33 PM - Lukas Zapletal

- Status changed from Closed to New

- Fixed in Releases deleted (3.2.1)

#11 - 03/16/2022 02:34 PM - Lukas Zapletal

- Status changed from New to Closed

- Fixed in Releases 3.2.1 added

Oh sorry it was actually merged already into stable 3.2. Closing.
